package cn.com.qmth.examcloud.ws.handler;

import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.ws.handler.bean.TestBean;
import cn.com.qmth.examcloud.ws.starter.core.Message;
import cn.com.qmth.examcloud.ws.starter.core.MessageHandler;

@Component
@MessageHandler("test2")
public class TestHandler2 {

	@MessageHandler
	public TestBean test(User user, @Message TestBean message) {
		message.setS1(String.valueOf(System.currentTimeMillis()));
		message.setS2(String.valueOf(System.currentTimeMillis()));
		return message;
	}

}
