package cn.com.qmth.examcloud.ws.starter.core;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 消息状态
 *
 * @author WANGWEI
 * @date 2019年11月28日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class Status implements JsonSerializable {

	private static final long serialVersionUID = 6990729545055549495L;

	private String code = "200";

	private String desc = "OK";

	/**
	 * 构造函数
	 *
	 */
	public Status() {
		super();
	}

	/**
	 * 构造函数
	 *
	 * @param code
	 * @param desc
	 */
	public Status(String code, String desc) {
		super();
		this.code = code;
		this.desc = desc;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

}
